Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TNPRForm Class Reference

MDI-Child for the NPR-Raycaster. More...

`#include <MDINPR.h>`

List of all members.

## Private Methods
void __fastcall | PaintGL ()
| PaintGL is redrawing the precalculated view in the OpenGL-Window - if the window size changes, PrepareGLWindow has to be called first to calculate the new aspect ratio.
void __fastcall | PrepareGLWindow ()
| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized.
void __fastcall | RayCast ()
| RayCast has to be called after one or more of the raycaster parameters have been changed.

## Detailed Description

MDI-Child for the NPR-Raycaster.

The Non-Photorealistic Raycaster tries to emphasize object contours by viewing gradient values rather than data values. The gradient values are multiplied by view-dependent intensities that result from the viewing vector multiplied by the gradient vector.

Definition at line 32 of file MDINPR.h.

## Member Function Documentation

void __fastcall TNPRForm::PrepareGLWindow | ( |  | ) | `[private]`

| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 150 of file MDINPR.cpp. Referenced by PaintGL().

void __fastcall TNPRForm::RayCast | ( |  | ) | `[private]`

| RayCast has to be called after one or more of the raycaster parameters have been changed. The raycaster will reset all values and recalculate the whole viewing array again. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 230 of file MDINPR.cpp. References rgb::b, rgb::g, rgb::r, vertex::x, vertex::y, and vertex::z.

The documentation for this class was generated from the following files:

- MDINPR.h
- MDINPR.cpp